# Class CSGandiDNSConfigurators

java.lang.Object
com.io7m.certusine.api.CSAbstractNamedProvider
com.io7m.certusine.gandi.CSGandiDNSConfigurators

All Implemented Interfaces:
  `CSDNSConfiguratorProviderType, CSNamedProviderType, com.io7m.repetoir.core.RPServiceType`

public final class CSGandiDNSConfigurators extends CSAbstractNamedProvider implements CSDNSConfiguratorProviderType
Access to the Gandi DNS API.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CSGandiDNSConfigurators()`
  Access to the Gandi DNS API.
  `CSGandiDNSConfigurators(Locale locale)`
  Access to the Gandi DNS API.
  `CSGandiDNSConfigurators(Locale locale, CSGandiStrings inStrings)`
  Access to the Gandi DNS API.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CSDNSConfiguratorType`
  `create(CSConfigurationParameters parameters)`
  Create a new DNS configurator.
  `String`
  `description()`
  `String`
  `name()`
  `Map<String, CSConfigurationParameterDescription>`
  `parameters()`
  `String`
  `toString()`

  ### Methods inherited from class CSAbstractNamedProvider

  `checkParameters`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CSGandiDNSConfigurators

    public CSGandiDNSConfigurators(Locale locale, CSGandiStrings inStrings) throws IOException
    Access to the Gandi DNS API.
    Parameters:
      `locale` - A locale for error messages
      `inStrings` - String resources
    Throws:
      `IOException` - On I/O errors

  - ### CSGandiDNSConfigurators

    public CSGandiDNSConfigurators(Locale locale) throws IOException
    Access to the Gandi DNS API.
    Parameters:
      `locale` - A locale for error messages
    Throws:
      `IOException` - On I/O errors

  - ### CSGandiDNSConfigurators

    public CSGandiDNSConfigurators() throws IOException
    Access to the Gandi DNS API.
    Throws:
      `IOException` - On I/O errors

- ## Method Details

  - ### create

    public CSDNSConfiguratorType create(CSConfigurationParameters parameters) throws CSConfigurationException
    Description copied from interface: `CSDNSConfiguratorProviderType`
    Create a new DNS configurator.
    Specified by:
      `create` in interface `CSDNSConfiguratorProviderType`
    Parameters:
      `parameters` - The configuration parameters
    Returns:
      A new output
    Throws:
      `CSConfigurationException` - On configuration errors

  - ### name

    public String name()
    Specified by:
      `name` in interface `CSNamedProviderType`
    Returns:
      The provider name

  - ### description

    public String description()
    Specified by:
      `description` in interface `com.io7m.repetoir.core.RPServiceType`

  - ### parameters

    public Map<String, CSConfigurationParameterDescription> parameters()
    Specified by:
      `parameters` in interface `CSNamedProviderType`
    Returns:
      A map describing the parameters

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`